Good_News

Hello Guys,

My first post here. I am following Spine's forum for more than a year, but now I've stuck and need your help.
In our company we are using Phaser 3 as a game engine an we are trying to combine it with Spine for many months now with variable luck.
I've exported Jason with some animations like before, when I hadn't such problems, and Front end guys brought me back this issue and can't find a way to fix it:

In my export panel everything looks ok. Any ideas?

Much appreciation and animation, :)

Good_News
添付ファイルを見るにはパーミッションが必要です
Good_News
  • 記事: 4

Nate

Can you post your .atlas file?

What version of Spine are you using to create the atlas? What version of the Spine Runtimes are you using?

If you are using the 4.0 texture packer and need an older Spine Runtime to read the atlas file, you'll need to check Legacy in the texture packer settings.
アバター
Nate

Nate
  • 記事: 11351

Good_News

Hey Nate,

Thank you for your answer! Well it seems that this version of Spine is not supported by the Spine plugin for Phaser 3. In Phaser's documentation is written that the plugin is supporting version 3.8.95. And I did the animation with the latest stable version of Spine, which is 4.0.19. I tried to downgrade the export to 3.8, with presumption that it will convert all the animation and alpha curves to linear, but it didn't work. I am attaching the atlas and the error after downgraded version of the export.
My concern here is am I supposed to rework the animation in older version or there is a way to implement it with the current one?

Thank you!
添付ファイルを見るにはパーミッションが必要です
Good_News
  • 記事: 4

Nate

There was a bug in the code that converts JSON to an older version, "rgba2" timelines were not getting changed to the old "twoColor" timeline. We've fixed this in 4.0.20 which will be available in a couple hours.
アバター
Nate

Nate
  • 記事: 11351

Good_News

Great, I will try it out! But am I supposed to check the Legacy output mark in the export panel in that case?
Good_News
  • 記事: 4

Nate

You can, or you can pack your atlas with 3.8, since you will be exporting from 3.8 anyway.
アバター
Nate

Nate
  • 記事: 11351

Good_News

I prefer to be able to use new features from 4.0 versions like graph editor and etc. But I guess I'll have to wait the guys from Phaser to update their plugin as well.

Thank you!
Good_News
  • 記事: 4


Return to Runtimes